let moment = require('moment')
module.exports = {


    friendlyName: 'Create',


    description: 'Create programme!',


    inputs: {
        codeProgramme: {
            type: 'string',
            required: true
        },
        codeMatiere: {
            type: 'string',
            required: true
        },
        codeClasse: {
            type: 'string',
            required: true
        },

    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)
        const { /*id, */user } = this.req.token;

        //console.log("INPUTS", inputs)
        let userCodeEcole;
        if (user.typeUser === 'ENSEIGNANT') {
            userCodeEcole = user.codeEcole
        } else {
            return exits.notFound({ message: "Vous n'etes pas autoriser a accéder a cette page!" })

        }

        // VERIFICATION DU CODE ECOLE
        if (user.codeEcole === '' || user.codeEcole === null || user.codeEcole === undefined) {
            return exits.notFound({ message: "Veuillez préciser le code Ecole pour cet utulisateur pour a accéder a cette page!" })
        }
        ecoleVerif = await Ecoles.find({ codeEcole: user.codeEcole }).then(_.first)
        if (!ecoleVerif) {
            return exits.notFound({ message: "Cet utilisateur n'est attribué a aucune ecole!" })
        }
        // FIN VERIF CODE ECOLE


        let programmeVerify = await Programme.find({ codeProgramme: inputs.codeProgramme }).then(_.first)

        if (!programmeVerify) {
            return exits.notFound({ message: "Ce code n'existe pas, veuillez le modifier!" })
        }

        let programme = await Programme.update({ codeProgramme: inputs.codeProgramme }, inputs).fetch()



        return exits.success(_.merge(programme));
        // All done.


    }


};
